> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tester.army/api-reference/tester-army-api/test-runs/llms.txt.
> For full documentation content, see https://docs.tester.army/api-reference/tester-army-api/test-runs/llms-full.txt.

# Cancel a queued run

POST https://tester.army/v1/runs/{id}/cancel

Cancel a test run that is still in the queue. Only works for runs with status 'queued'.

Reference: https://docs.tester.army/api-reference/tester-army-api/test-runs/cancel-a-queued-run

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: testerarmy
  version: 1.0.0
paths:
  /v1/runs/{id}/cancel:
    post:
      operationId: cancel-a-queued-run
      summary: Cancel a queued run
      description: >-
        Cancel a test run that is still in the queue. Only works for runs with
        status 'queued'.
      tags:
        - subpackage_testRuns
      parameters:
        - name: id
          in: path
          description: Test run ID
          required: true
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          description: API key authentication using Bearer token format
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Run cancelled
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Test Runs_cancelAQueuedRun_Response_200'
        '400':
          description: Bad Request - Invalid input parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CancelAQueuedRunRequestBadRequestError'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CancelAQueuedRunRequestUnauthorizedError'
        '409':
          description: Conflict - Run is not in queued state
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CancelAQueuedRunRequestConflictError'
        '429':
          description: Too Many Requests - Usage limit exceeded
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CancelAQueuedRunRequestTooManyRequestsError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CancelAQueuedRunRequestInternalServerError
        '504':
          description: Gateway Timeout - Test execution exceeded time limit
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CancelAQueuedRunRequestGatewayTimeoutError
servers:
  - url: https://tester.army
components:
  schemas:
    V1RunsIdCancelPostResponsesContentApplicationJsonSchemaStatus:
      type: string
      enum:
        - cancelled
      title: V1RunsIdCancelPostResponsesContentApplicationJsonSchemaStatus
    Test Runs_cancelAQueuedRun_Response_200:
      type: object
      properties:
        id:
          type: string
          format: uuid
        status:
          $ref: >-
            #/components/schemas/V1RunsIdCancelPostResponsesContentApplicationJsonSchemaStatus
      required:
        - id
        - status
      title: Test Runs_cancelAQueuedRun_Response_200
    CancelAQueuedRunRequestBadRequestError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: CancelAQueuedRunRequestBadRequestError
    CancelAQueuedRunRequestUnauthorizedError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: CancelAQueuedRunRequestUnauthorizedError
    CancelAQueuedRunRequestConflictError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: CancelAQueuedRunRequestConflictError
    CancelAQueuedRunRequestTooManyRequestsError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: CancelAQueuedRunRequestTooManyRequestsError
    CancelAQueuedRunRequestInternalServerError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: CancelAQueuedRunRequestInternalServerError
    CancelAQueuedRunRequestGatewayTimeoutError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: CancelAQueuedRunRequestGatewayTimeoutError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer token format

```

## SDK Code Examples

```python
import requests

url = "https://tester.army/v1/runs/id/cancel"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://tester.army/v1/runs/id/cancel';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tester.army/v1/runs/id/cancel"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tester.army/v1/runs/id/cancel")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tester.army/v1/runs/id/cancel")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tester.army/v1/runs/id/cancel', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tester.army/v1/runs/id/cancel");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tester.army/v1/runs/id/cancel")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```